// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: dsepractice/chinese/v1alpha1/core_types.proto

package gg.dsepractice.chinese.v1alpha1;

public interface CreateArticleRequestOrBuilder extends
    // @@protoc_insertion_point(interface_extends:dsepractice.chinese.v1alpha1.CreateArticleRequest)
    com.google.protobuf.MessageLiteOrBuilder {

  /**
   * <code>string name = 1 [json_name = "name"];</code>
   * @return The name.
   */
  java.lang.String getName();
  /**
   * <code>string name = 1 [json_name = "name"];</code>
   * @return The bytes for name.
   */
  com.google.protobuf.ByteString
      getNameBytes();

  /**
   * <code>repeated string paragraphs = 2 [json_name = "paragraphs"];</code>
   * @return A list containing the paragraphs.
   */
  java.util.List<java.lang.String>
      getParagraphsList();
  /**
   * <code>repeated string paragraphs = 2 [json_name = "paragraphs"];</code>
   * @return The count of paragraphs.
   */
  int getParagraphsCount();
  /**
   * <code>repeated string paragraphs = 2 [json_name = "paragraphs"];</code>
   * @param index The index of the element to return.
   * @return The paragraphs at the given index.
   */
  java.lang.String getParagraphs(int index);
  /**
   * <code>repeated string paragraphs = 2 [json_name = "paragraphs"];</code>
   * @param index The index of the element to return.
   * @return The paragraphs at the given index.
   */
  com.google.protobuf.ByteString
      getParagraphsBytes(int index);
}
